{% load static %}
{% load widget_tweaks %}
{% load cache %}

{% cache 500 getintouch %}
<!-- Start deneb_contact section -->
<section class="deneb_contact contact_v1">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-6">
                <div class="deneb_img_box">
                    <img src="{% static 'assets/images/contact.png' %}" class="img-fluid" alt="">
                </div>
            </div>
            <div class="col-lg-6">
                <div class="section_title">
                    <h2>Get In Touch With Us</h2>
                    <p>After receiving your message, our support team will contact you soon.</p>
                </div>
                <div class="contact_form">
                    <form method="POST" id="captchaForm" action="{% url 'pages:contact' %}">
                        <div class="row">
                            {% csrf_token %}
                            <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
                            
                            {% for field in form.visible_fields %}
                                {% if forloop.last %}
                                    <div class="col-lg-12">
                                        <div class="form_group">
                                            {% render_field field class="form_control" placeholder=field.label %}

                                            {% for error in field.errors %}
                                                <div class="alert alert-danger" role="alert" style="margin-top: 20px;">
                                                    {{ error }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                {% else %}
                                    <div class="col-lg-6">
                                        <div class="form_group">
                                            {% render_field field class="form_control" placeholder=field.label %}

                                            {% for error in field.errors %}
                                                <div class="alert alert-danger" role="alert" style="margin-top: 20px;">
                                                    {{ error }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                {% endif %}
                            {% endfor %}

                            <div class="col-lg-12">
                                <div class="button_box">
                                    <button type="submit" class="deneb_btn">Submit Now</button>
                                </div>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End deneb_contact section -->
{% endcache %}